/* CSS Document */

#root {
  transition-property: opacity, filter;
  transition-timing-function: cubic-bezier(0.455, 0.03, 0.515, 0.955);
  transition-duration: 0.4s; }
  #root.popup {
    opacity: 0.2;
    filter: blur(5px); }

#closing h3 {
  font-size: 21px;
  line-height: 1.2;
  letter-spacing: -.035em;
  margin: -12px 0 22px; }

input {
  display: inline-block;
  width: 100%;
  padding: 7px 0;
  margin: 0;
  font: 15px/20px Inter, ui-sans-serif, -apple-system, BlinkMacSystemFont, Segoe UI, sans-serif;
  border: none;
  border-bottom: 1px solid #f7f4ec;
  border-radius: 0;
  color: #f7f4ec;
  outline: none;
  background: transparent;
  box-shadow: none; }

textarea {
  display: block;
  width: 100%;
  padding: 7px 0;
  margin: 0;
  box-sizing: border-box;
  font: 15px/20px Inter, ui-sans-serif, -apple-system, BlinkMacSystemFont, Segoe UI, sans-serif;
  border: none;
  border-bottom: 1px solid #f7f4ec;
  border-radius: 0;
  color: #f7f4ec;
  outline: none;
  background: transparent;
  box-shadow: none;
  resize: none; }

.overlay {
  display: none;
  width: 100%;
  max-width: 600px;
  padding: 20px;
  box-sizing: border-box;
  font-family: Inter, ui-sans-serif, -apple-system, BlinkMacSystemFont, Segoe UI, sans-serif;
  position: fixed;
  top: 50%;
  left: 50%;
  z-index: 3000;
  transform: translateX(-50%) translateY(-50%); }
  .overlay .content {
    max-height: calc(100vh - 120px);
    overflow: scroll;
    overflow-x: hidden;
    overflow-y: auto;
    padding: clamp(20px, 3.2vw, 40px);
    background-color: white;
    position: relative; }
    .overlay .content > *:last-child {
      margin-bottom: 0; }
    .overlay .content .omegaSmallHeader {
      font-size: 32px;
      letter-spacing: -.04em;
      font-weight: bold;
      margin: 0 0 8px; }
    .overlay .content .small {
      font-size: 70%; }
    .overlay .content .disclaimer {
      font-size: 80%; }
    .overlay .content p {
      font-size: 17px;
      color: #bdb9b0;
      line-height: 1.65;
      padding-bottom: 0 0 20px; }
    .overlay .content .buttonRight {
      margin-top: 30px;
      text-align: right; }
    .overlay .content .error {
      color: red; }
    .overlay .content .formControl {
      margin-bottom: 16px; }
    .overlay .content button {
      display: inline-block; }
  .overlay .close {
    width: clamp(20px, 3vw, 40px);
    height: clamp(20px, 3vw, 40px);
    position: absolute;
    top: 0;
    right: 0;
    z-index: 200;
    cursor: pointer; }
    .overlay .close:before, .overlay .close:after {
      content: "";
      width: 24px;
      height: 2px;
      background-color: #f7f4ec;
      transform-origin: center center;
      transition: background 0.4s cubic-bezier(0.455, 0.03, 0.515, 0.955);
      position: absolute;
      bottom: 11px;
      left: 0; }
    .overlay .close:before {
      transform: rotate(-45deg); }
    .overlay .close:after {
      transform: rotate(45deg); }
    .overlay .close:hover:before, .overlay .close:hover:after, .overlay .close:active:before, .overlay .close:active:after {
      background-color: #bdb9b0; }
  .overlay.omega {
    color: #f7f4ec; }
    .overlay.omega .content {
      background-color: #0a0b0d; }
